.contact-us__container {
    display: grid;
    grid-template-columns: 1fr 5fr .5fr 8fr .5fr;
    height: 50rem;
    margin-bottom: 5em;
    margin-top: 3vh;
}

.contact-us__container aside.left {
    grid-column: 2/3;
    grid-row: 1/-1;
    background-color: var(--color-primary);
    padding: 3em;
    border-radius: 2rem;
    z-index: 2;
    box-shadow: 0 1rem 1rem rgba(0, 0, 0, .5);
    color: var(--color-black);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.contact-us__container aside.left img {
    display: block;
    margin-bottom: 3em;
    width: 10rem;
}

.contact-us__container aside.left h3 {
    margin-bottom: 1em;
}

.contact-us__container aside.left p {
    font-size: .9rem;
    opacity: .8;
    margin-bottom: 1.5em;

}

.contact-us__container .contact-links {
    font-size: .85rem;
    display: flex;
    flex-direction: column;
    gap: .5em;
    margin-bottom: 1em;
}

.contact-us__container .contact-links * {
    color: var(--color-black);
}
.contact-us__container a:hover {
    opacity: .8;
    text-decoration: underline;
}

.contact-us__container .social-media a {
    display: inline-block;
    margin-right: .5em;
    background-color: var(--color-bg1);
    color: var(--color-white);
    font-size: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .5em;
    height: 35px;
    width: 35px;
    border-radius: 50%;
}

.social-media a:hover {
    text-decoration: none;
}

.contact-links i {
    display: inline-block;
    width: 1rem;
    margin-right: .5em;
}

.contact-us__container .form-container {
    grid-column: 1/-1;
    grid-row: 1/-1;

    display: grid;
    grid-template-columns: .8fr 1fr;
    border-radius: 2rem;
    height: calc(100% - 5rem);
    margin: auto 0;
    background-color: var(--color-bg1);
    box-shadow: 1rem 1rem 100rem rgba(16, 64, 101, 0.5);
    padding: 0 5em;
}

.contact-us__container .form-container form {
    grid-column: 2;
    height: calc(100% - 5rem);
    margin: auto 0;
}

.contact-us__container .form-container form input,
textarea {
    display: inline-block;
    padding: 1em;
    margin: .7em 0;
    margin-right: .5em;
    border-radius: .3rem;
    border: none;
    width: 48%;
    text-transform: capitalize;
    background-color: var(--color-bg);
    color: var(--color-white);
    font-size: 1rem;
    font-family: sans-serif;
}

.contact-us__container .form-container form textarea,
.contact-us__container .form-container form input[name='email'] {
    width: 98%;
    text-transform: none;
}
.contact-us__container .form-container form #send-message {
    display: inline-block;
    background-color: var(--color-danger);
    width: unset;
    font-size: 1.1rem;
    padding: 1em 1.5em;
    border: 2px solid var(--color-danger);
    margin-top: 2em;
}

.contact-us__container .form-container form #send-message:hover,
.contact-us__container .form-container form #send-message:focus {
    cursor: pointer;
    background-color: transparent;
}


@media (max-width:1420px) {
    .contact-us .form-container form input[name='firstname'],
    .contact-us .form-container form input[name='lastname'] {
        width: 98%;
    }
}

@media (max-width:800px) {
    .contact-us__container {
        grid-template-columns: 1fr;
        gap: 2em;
        height: auto;
    }

    .contact-us__container aside.left,
    .contact-us__container .form-container {
        text-align: center;
        grid-column: unset;
        grid-row: unset;
        height: unset;
        box-shadow: none;
        display: unset;
        padding: 5em;
        margin: 1em;
        margin-bottom: 0;
    }

    .contact-us__container aside.left img {
        margin-left: auto;
        margin-right: auto;
        width: 15rem;

    }

    .contact-us__container aside.left .social-media {
        justify-content: center;
        margin: 0 auto;
    }


}